<template>
  <div id="resume">
    <div class="resume-container">
      <h1>Resume</h1>
      <a href="./Tyler_Cran_Resume.docx" download>
        Download Resume
      </a>
    </div>
    <div class="relevant-exp-container">
      <h2>Relevant Work</h2>
      <div class="exp-body">
        <p class="header">Associate Software Engineer for Andersen Windows</p>
        <p class="duration">May 2019 - Present</p>
        <ul>
          <li>Migrate existing code base to a new solution to support a new production plant.</li>
          <li>Follow proper coding standards set by Andersen to update the current code base.</li>
          <li>Lead a team of Software Engineers to give feedback on code and advise solutions.</li>
          <li>Communicate with business partners to get the correct data in and out of our system.</li>
          <li>Transform data going between applications to ensure the proper data is sent to the end system.</li>
          <li>Gather requirements from business partners to coordinate effective code updates.</li>
          <li>Develop a web application using Spring boot to pull important data for testing.</li>
          <li>Document crucial processes and updates in a clear and concise manner for the team.</li>
          <li>Participate in and give input into the transition to an Agile team.</li>
        </ul>
      </div>
    </div>
    <div class="education-container">
      <h2>Education</h2>
      <div class="education-body">
        <p class="header"><b>University of Wisconsin - River Falls</b></p>
        <p class="duration">Sept 2016 - May 2019</p>
      </div>
      <p>Graduated with a Bachelor of Science in Computer Science and a minor in Psychology.</p>
    </div>
    <div class="relevant-activities-container">
      <h2>Additional Relevant Activities</h2>
      <ul>
        <li>Mentored classmates in the Association for Computer Machinery (ACM) Club at UWRF.</li>
        <li>Participated in coding competitions, including MICS (Midwest Instruction and Computing Symposium) and ICPC
          (Internation Collegiate Programming Contest), with other members of the UWRF ACM in 2018 and 2019.
        </li>
        <li>Attended a Hack-a-thon with colleagues at the University of Minnesota in 2018 where we developed a
          forum-like application based on the themed prompt from the event.
        </li>
        <li>Developed, hosted, and maintained a site that houses a personal portfolio for the work I have completed or
          will be completing.
        </li>
      </ul>
    </div>
    <div class="proficiencies-container">
      <h2>Proficiencies</h2>
      <div class="proficiencies-body">
        <h3 class="lang-frame-header">Computer Languages/Frameworks</h3>
        <ul class="lang-frame-list">
          <li>Java</li>
          <li>Spring Boot</li>
          <li>JUnit Testing</li>
          <li>C++</li>
          <li>Google Test</li>
          <li>Javascript</li>
          <li>Vue.js</li>
          <li>PostgreSQL</li>
          <li>MySQL</li>
        </ul>
        <h3 class="other-rel-header">Other Relevant Technologies/Knowledge</h3>
        <ul class="other-rel-list">
          <li>Git</li>
          <li>Visual Studio</li>
          <li>IntelliJ Idea</li>
          <li>Maven</li>
          <li>Agile Methods</li>
          <li>Jira</li>
          <li>Object Oriented Design</li>
          <li>Software Development Life Cycle</li>
        </ul>
      </div>
    </div>
    <div class="current-projects-container">
      <h2>Current Projects</h2>
      <ul>
        <li>
          Card collection application that consumes an external AP to retrieve the card data to store in a PSQL database. Uses a Spring Boot back end to supply data through a REST API to a Vue.js front end that allows the user to create their collection.
        </li>
        <li>
          Learning to use Jenkins, Docker, and Kubernetes together to help automate testing and deploying applications to given servers.
        </li>
      </ul>
    </div>
  </div>
</template>

<script>
export default {
  name: "Resume"
}
</script>

<style scoped>
#resume {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: white;
}

.resume-container {
  background-color: #395f4d;
  padding: 10px 20px 30px 30px;
  border-radius: 25px;
  margin: 15px 0;
}

h1, h2 {
  font-family: "Roboto Condensed", "Arial", sans-serif;
  display: grid;
  width: 100%;
  align-items: center;
  text-align: center;
  grid-template-columns: minmax(20px, 1fr) auto minmax(20px, 1fr);
  grid-gap: 20px;
  margin-bottom: 5px;
}

h1:before, h1:after, h2:before, h2:after {
  content: '';
  border-top: 2px solid green;
}

h1 {
  font-size: 45px;
}

h2 {
  font-size: 30px;
}

p, li {
  font-family: "Roboto Condensed", "Arial", sans-serif;
  font-size: 20px;
  line-height: 1.4;
}

a[download] {
  display: block;

  color: turquoise;
  text-decoration: underline;
  font-size: 22px;
  margin-left: auto;
  margin-right: auto;
  width: 186px;
}

a[download]:hover,
a[download]:focus {
  text-decoration: none;
}

.relevant-exp-container,
.education-container,
.relevant-activities-container,
.proficiencies-container,
.current-projects-container {
  background-color: #477862;
  padding: 10px 30px;
  border-radius: 25px;
  margin: 15px 0;
}

.exp-body,
.education-body {
  display: grid;
  grid-template-columns: 455px auto;
  grid-template-rows: 30px auto;
  margin: 20px 0;
}

.proficiencies-body {
  display: grid;
  grid-template-columns: auto auto;
  grid-template-rows: auto auto;
  margin: 20px 0;
  text-align: center;
}

.header {
  font-size: 22px;
  padding-bottom: 0;
  margin-top: 0;
  margin-bottom: 0;
  grid-column: 1;
  grid-row: 1;
}

.duration {
  font-size: 18px;
  margin-top: 5px;
  grid-column: 2;
  grid-row: 1;
  text-align: right;
}

.relevant-exp-container ul {
  grid-column: 1 / 3;
  grid-row: 2;
}

.lang-frame-header {
  grid-column: 1;
  grid-row: 1;
}

.lang-frame-list {
  grid-column: 1;
  grid-row: 2;
  border-right: 2px solid green;
  padding-left: 0;
}

.other-rel-header {
  grid-column: 2;
  grid-row: 1;
}

.other-rel-list {
  border-left: 2px solid green;
  grid-column: 2;
  grid-row: 2;
  padding-left: 0;
}

@media (max-width: 800px) and (min-width: 0) {
  .exp-body {
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: repeat(4, auto);
  }

  .proficiencies-body {
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: repeat(4, auto);
  }

  .header {
    padding-bottom: 10px;
  }

  .duration {
    font-size: 18px;
    margin-top: 5px;
    margin-bottom: 10px;
    grid-column: 1;
    grid-row: 2;
    text-align: left;
  }

  .relevant-exp-container ul {
    grid-column: 1;
    grid-row: 3;
  }

  .lang-frame-header {
    grid-column: 1;
    grid-row: 1;
  }

  .lang-frame-list {
    grid-column: 1;
    grid-row: 2;
    padding-bottom: 20px;
    margin-bottom: 0;
    border-bottom: 2px solid green;
    border-right: none;
  }

  .other-rel-header {
    grid-column: 1;
    grid-row: 3;
    border-top: 2px solid green;
    padding-top: 20px;
    margin-top: 0;
  }

  .other-rel-list {
    grid-column: 1;
    grid-row: 4;
    border-left: none;
  }
}

@media (min-width: 1600px) {
  .exp-body {
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: 40px auto auto;
  }

  .relevant-exp-container ul {
    display: inline-grid;
    grid-template-rows: repeat(5, auto);
    grid-auto-flow: column;
  }

  .lang-frame-list,
  .other-rel-list {
    display: inline-grid;
    grid-template-rows: repeat(4, auto);
    grid-auto-flow: column;
  }
}

</style>
